Ubuntu 11.10 + error Bash + Python + instalación Python no válida

File "/usr/lib/python2.7/site.py", line 562, in  main() File "/usr/lib/python2.7/site.py", line 544, in main known_paths = addusersitepackages(known_paths) File "/usr/lib/python2.7/site.py", line 271, in addusersitepackages user_site = getusersitepackages() File "/usr/lib/python2.7/site.py", line 246, in getusersitepackages user_base = getuserbase() # this will also set USER_BASE File "/usr/lib/python2.7/site.py", line 236, in getuserbase USER_BASE = get_config_var('userbase') File "/usr/lib/python2.7/sysconfig.py", line 543, in get_config_var return get_config_vars().get(name) File "/usr/lib/python2.7/sysconfig.py", line 442, in get_config_vars _init_posix(_CONFIG_VARS) File "/usr/lib/python2.7/sysconfig.py", line 321, in _init_posix raise IOError(msg) IOError: invalid Python installation: unable to open /usr/include/python2.7/pyconfig.h (No such file or directory) 

Sé que esto es muy similar a esta pregunta pero todavía no puedo resolverlo

Esto realmente no tiene nada que ver con el error de comando no encontrado porque incluso cuando elimino el progtwig de comando no encontrado todavía aparece.

También ejecutando el comando da la siguiente salida.

 $ which python /usr/bin/python $ python  

¿Cómo lo resuelvo? Ninguno de mis progtwigs en Ubuntu está funcionando.

Después de mucha discusión y ayuda de ppl en irc!

Como uno de los comentarios a las preguntas ha sugerido, la instrucción principal que fue sugerida por muchas personas fue

 apt-get install --reinstall packagename 

Pero realmente no parece ayudar.

Así que simplemente descargué python2.7-minimal_2.7.2-5ubuntu1_amd64.deb de los sitios de paquetes de ubuntu y

 $ sudo dpkg -i python2.7-minimal_2.7.2-5ubuntu1_amd64.deb 

voila funciono! Una vez que termines eso, ¡asegúrate de actualizar!

Aquí hay alguna información actualizada cuando estaba resolviendo este problema. El pyconfig.h faltante proviene del siguiente paquete.

 libpython2.7-dev:amd64: /usr/include/python2.7/pyconfig.h 

No estoy seguro de si reinstalar python-minimal ayuda. Resolví el problema instalando python-dev

 sudo apt-get install python-dev 

que instaló los archivos libpython faltan. Espero que esto ayude a alguien en el futuro.